<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__btm__ble__sec__api__functions" kind="group">
    <compoundname>btm_ble_sec_api_functions</compoundname>
    <title>BLE Security</title>
      <sectiondef kind="user-defined">
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga3acbf83e7825ddbcdd6d792543ab0422" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_ble_security_grant</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_dev_status_t res)</argsstring>
        <name>wiced_bt_ble_security_grant</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
          <declname>res</declname>
        </param>
        <briefdescription>
<para>btm_ble_api_functions </para>
        </briefdescription>
        <detaileddescription>
<para>Grant or deny access. Used in response to an BTM_SECURITY_REQUEST_EVT event.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: peer device bd address. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">res</parametername>
</parameternamelist>
<parameterdescription>
<para>: BTM_SUCCESS to grant access; BTM_MODE_UNSUPPORTED, if local device does not allow pairing; BTM_REPEATED_ATTEMPTS otherwise</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> None </bold> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="900" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga1745ec7401f09c80ec5aecbacc9c0002" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_data_signature</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, uint8_t *p_text, uint16_t len, wiced_dev_ble_signature_t signature)</argsstring>
        <name>wiced_bt_ble_data_signature</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_text</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>len</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga39b3b50eac531691f2bc87291526bb73">wiced_dev_ble_signature_t</ref></type>
          <declname>signature</declname>
        </param>
        <briefdescription>
<para>Sign the data using AES128 CMAC algorith. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>target device the data to be signed for. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_text</parametername>
</parameternamelist>
<parameterdescription>
<para>signing data </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">len</parametername>
</parameternamelist>
<parameterdescription>
<para>length of the signing data </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">signature</parametername>
</parameternamelist>
<parameterdescription>
<para>output parameter where data signature is going to be stored</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if signing successful, otherwise FALSE. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="913" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga771629322c842c541611d928ad128a40" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_verify_signature</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, uint8_t *p_orig, uint16_t len, uint32_t counter, uint8_t *p_comp)</argsstring>
        <name>wiced_bt_ble_verify_signature</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_orig</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>len</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>counter</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_comp</declname>
        </param>
        <briefdescription>
<para>Verify the data signature. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>target device the data to be signed for. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_orig</parametername>
</parameternamelist>
<parameterdescription>
<para>original data before signature. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">len</parametername>
</parameternamelist>
<parameterdescription>
<para>length of the signing data </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">counter</parametername>
</parameternamelist>
<parameterdescription>
<para>counter used when doing data signing </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_comp</parametername>
</parameternamelist>
<parameterdescription>
<para>signature to be compared against.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if signature verified correctly; otherwise FALSE. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="928" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1gaa3a12d9312cb8bac5e7eb7033aedda8c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_get_security_state</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, uint8_t *p_le_sec_flags, uint8_t *p_le_key_size)</argsstring>
        <name>wiced_bt_ble_get_security_state</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_le_sec_flags</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_le_key_size</declname>
        </param>
        <briefdescription>
<para>Get security mode 1 flags and encryption key size for LE peer. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: peer address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_le_sec_flags</parametername>
</parameternamelist>
<parameterdescription>
<para>: security flags (see <ref kindref="member" refid="group__wicedbt___device_management_1ga43bc963a74ea1613ba9951538a059838">wiced_bt_ble_sec_flags_e</ref>) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_le_key_size</parametername>
</parameternamelist>
<parameterdescription>
<para>: encryption key size</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="942" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga2780ef822665cbfd72ba2b2eeefbc35e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_bt_ble_set_privacy_mode</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda, wiced_bt_ble_address_type_t rem_bda_type, wiced_bt_ble_privacy_mode_t privacy_mode)</argsstring>
        <name>wiced_bt_ble_set_privacy_mode</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
          <declname>rem_bda_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1gae0c321e7abc54eeb9b5c39354a36dd8c">wiced_bt_ble_privacy_mode_t</ref></type>
          <declname>privacy_mode</declname>
        </param>
        <briefdescription>
<para>Updates privacy mode if device is already available in controller resolving list. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>-remote device address received during connection up </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rem_bda_type</parametername>
</parameternamelist>
<parameterdescription>
<para>-remote device address type received during connection up </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">privacy_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>- privacy mode (see <ref kindref="member" refid="group__wicedbt___device_management_1gae0c321e7abc54eeb9b5c39354a36dd8c">wiced_bt_ble_privacy_mode_t</ref>) </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bt_dev_status_t <linebreak />
<bold> WICED_BT_ILLEGAL_VALUE </bold> : if paramer is wrong <linebreak />
<bold> WICED_BT_UNSUPPORTED </bold> : if command not supported <linebreak />
<bold> WICED_BT_UNKNOWN_ADDR </bold> : if bd_addr is wrong <linebreak />
<bold> WICED_BT_ILLEGAL_ACTION </bold> : if device not added to resolving list or peer irk is not valid <linebreak />
<bold> WICED_BT_ERROR </bold> : error while processing the command <linebreak />
<bold> WICED_BT_SUCCESS</bold> : if command started </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="959" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga8263c58ec739238cab4fb9d603fbd488" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_dev_configure_secure_connections_only_mode</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_dev_configure_secure_connections_only_mode</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Bluetooth BLE Security Functions. </para>
        </briefdescription>
        <detaileddescription>
<para>Configure device to allow connections only with secure connections supported devices</para>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;API must be called only once after BTM_ENABLED_EVT event received, before starting bluetooth activity&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1899" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga2e41482216a1a152e3ecaf1c17d5e93f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_sec_bond</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_ble_address_type_t bd_addr_type, wiced_bt_transport_t transport, uint8_t pin_len, uint8_t *p_pin)</argsstring>
        <name>wiced_bt_dev_sec_bond</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
          <declname>bd_addr_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
          <declname>transport</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>pin_len</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_pin</declname>
        </param>
        <briefdescription>
<para>Bond with peer device. </para>
        </briefdescription>
        <detaileddescription>
<para>If the connection is already up, but not secure, pairing is attempted.</para>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;PIN parameters are only needed when bonding with legacy devices (pre-2.1 Core Spec)&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Peer device bd address to pair with. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: BLE_ADDR_PUBLIC or BLE_ADDR_RANDOM (applies to LE devices only) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">transport</parametername>
</parameternamelist>
<parameterdescription>
<para>: BT_TRANSPORT_BR_EDR or BT_TRANSPORT_LE </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pin_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of input parameter p_pin (0 if not used). </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_pin</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to Pin Code to use (NULL if not used).</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_PENDING </bold> : if successfully initiated, <linebreak />
<bold> WICED_BT_SUCCESS </bold> : if already paired to the device, else error code </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1919" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga4a977184563090cb94394b7da1f09760" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_sec_bond_cancel</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_dev_sec_bond_cancel</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Cancel an ongoing bonding process with peer device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Peer device bd address to pair with.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_PENDING </bold> : if cancel initiated, <linebreak />
<bold> WICED_BT_SUCCESS </bold> : if cancel has completed already, else error code. </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1933" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga828fe3d842b9923e408a10b87ae8fb69" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_encryption</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_transport_t transport, void *p_ref_data)</argsstring>
        <name>wiced_bt_dev_set_encryption</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
          <declname>transport</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>p_ref_data</declname>
        </param>
        <briefdescription>
<para>Encrypt the specified connection. </para>
        </briefdescription>
        <detaileddescription>
<para>Status is notified using <bold>BTM_ENCRYPTION_STATUS_EVT </bold> of <ref kindref="member" refid="group__wicedbt___device_management_1ga86af8a8bb467047c9af6007f15b0d344">wiced_bt_management_cback_t</ref>.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of peer device </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">transport</parametername>
</parameternamelist>
<parameterdescription>
<para>: BT_TRANSPORT_BR_EDR or BT_TRANSPORT_LE </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_ref_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Encryption type <ref kindref="member" refid="group__wicedbt___device_management_1ga063af36361f0fd1f625146102b5de0b6">wiced_bt_ble_sec_action_type_t</ref></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : already encrypted <linebreak />
<bold> WICED_BT_PENDING </bold> : command will be returned in the callback <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : connection not up. <linebreak />
<bold> WICED_BT_BUSY </bold> : security procedures are currently active </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1952" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1gafc9a54cc8cf09e7f9c42c9a24ce9df97" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_dev_confirm_req_reply</definition>
        <argsstring>(wiced_result_t res, wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_dev_confirm_req_reply</name>
        <param>
          <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
          <declname>res</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Confirm the numeric value for pairing (in response to <bold>BTM_USER_CONFIRMATION_REQUEST_EVT </bold> of <ref kindref="member" refid="group__wicedbt___device_management_1ga86af8a8bb467047c9af6007f15b0d344">wiced_bt_management_cback_t</ref>) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">res</parametername>
</parameternamelist>
<parameterdescription>
<para>: result of the operation WICED_BT_SUCCESS if success </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of the peer device</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1964" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1gad12b350f7c723d95b5a0303beb1a8940" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_dev_send_key_press_notif</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_dev_passkey_entry_type_t type)</argsstring>
        <name>wiced_bt_dev_send_key_press_notif</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>wiced_bt_dev_passkey_entry_type_t</type>
          <declname>type</declname>
        </param>
        <briefdescription>
<para>Inform remote device of keypress during pairing. </para>
        </briefdescription>
        <detaileddescription>
<para>Used during the passkey entry by a device with KeyboardOnly IO capabilities (typically a HID keyboard device).</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of the peer device </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">type</parametername>
</parameternamelist>
<parameterdescription>
<para>: notification type </para>
</parameterdescription>
</parameteritem>
</parameterlist>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1977" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga4bbf570f3c73cbfa33ee41d7d0c09a99" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_get_bonded_devices</definition>
        <argsstring>(wiced_bt_dev_bonded_device_info_t *p_paired_device_list, uint16_t *p_num_devices)</argsstring>
        <name>wiced_bt_dev_get_bonded_devices</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__dev__bonded__device__info__t">wiced_bt_dev_bonded_device_info_t</ref> *</type>
          <declname>p_paired_device_list</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>p_num_devices</declname>
        </param>
        <briefdescription>
<para>get bonded device list </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">p_paired_device_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: array for getting bd address of bonded devices </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_num_devices</parametername>
</parameternamelist>
<parameterdescription>
<para>: list size of p_pared_device_list total number of bonded devices stored</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1990" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga22ddaf5bbfe649631a40c80232cfdf8c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_delete_bonded_device</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_dev_delete_bonded_device</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>remove bonding with remote device with assigned bd_addr Note: This API cannot be used while being connected to the remote bd_addr </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: bd_addr of remote device to be removed from bonding list</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="2003" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga6c925c9deb5746fc2844d111846e93ef" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_dev_get_security_state</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, uint8_t *p_sec_flags)</argsstring>
        <name>wiced_bt_dev_get_security_state</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_sec_flags</declname>
        </param>
        <briefdescription>
<para>Get security flags for the device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: peer address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_sec_flags</parametername>
</parameternamelist>
<parameterdescription>
<para>: security flags (see <ref kindref="member" refid="group__wicedbt___device_management_1ga81db582b115f4586be18f142d054b0ac">wiced_bt_sec_flags_e</ref>)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="2015" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1gac39c9efdd1042d3f8855d854237dc3d6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_get_ble_keys</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_dev_le_key_type_t *p_key_mask)</argsstring>
        <name>wiced_bt_dev_get_ble_keys</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1gae2140187208ce279eae8d9248a2e8a0e">wiced_bt_dev_le_key_type_t</ref> *</type>
          <declname>p_key_mask</declname>
        </param>
        <briefdescription>
<para>get le key mask from stored key information of nv ram </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: remote bd address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_key_mask</parametername>
</parameternamelist>
<parameterdescription>
<para>: ble key mask stored</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="2046" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga806119ffc38aa9ec12a03f9f2c8c8d43" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_add_device_to_address_resolution_db</definition>
        <argsstring>(wiced_bt_device_link_keys_t *p_link_keys)</argsstring>
        <name>wiced_bt_dev_add_device_to_address_resolution_db</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__device__link__keys__t">wiced_bt_device_link_keys_t</ref> *</type>
          <declname>p_link_keys</declname>
        </param>
        <briefdescription>
<para>add link key information to internal address resolution db </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_link_keys</parametername>
</parameternamelist>
<parameterdescription>
<para>: link keys information stored in application side</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="2057" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__sec__api__functions_1ga91b6c2557800b5d63f8c94c17af05183" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_remove_device_from_address_resolution_db</definition>
        <argsstring>(wiced_bt_device_link_keys_t *p_link_keys)</argsstring>
        <name>wiced_bt_dev_remove_device_from_address_resolution_db</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__device__link__keys__t">wiced_bt_device_link_keys_t</ref> *</type>
          <declname>p_link_keys</declname>
        </param>
        <briefdescription>
<para>remove link key information from internal address resolution db </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_link_keys</parametername>
</parameternamelist>
<parameterdescription>
<para>: link keys information stored in application side</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="2069" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE Security API. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>